Bug 178082 - nscd positive-time-to-live not working in NIS environment
nscd positive-time-to-live not working in NIS environment
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 14:01 EST by John Saalwaechter
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.4-2.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 09:55:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Saalwaechter 2006-01-17 14:01:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
I'm in an environment that uses NIS for password 
(with Solaris NIS servers). Every time I change 
my NIS password, my Linux workstation cannot pick 
up the change without completely restarting nscd, 
or at a minimum invalidating the passwd table in 
nscd. I'm not talking about a several minute delay -- 
I mean it won't use the updated password ever 
until nscd is slapped around. Why doesn't the nscd 
positive time-to-live kick in and properly sense 
that my NIS password has changed? 

I've seen this behavior on every version of Red 
Hat Linux, and my workstation is currently running 
RHEL WS 4.  One strange observation is that 
all the login services (telnet, rlogin, ssh) continue 
to make me input my old password, but the X 
screensaver somehow switches over to using my new 
password. 

Anyway, here are the passwd lines from /etc/nscd.conf: 
        enable-cache            passwd          yes
        positive-time-to-live   passwd          600
        negative-time-to-live   passwd          20
        suggested-size          passwd          211
        check-files             passwd          yes
        persistent              passwd          yes
        shared                  passwd          yes

And "nscd --version" returns "nscd (GNU libc) 2.3.4"

Version-Release number of selected component (if applicable):
nscd-2.3.4-2

How reproducible:
Always

Steps to Reproduce:
1. From a Sun server change your NIS password with "passwd -r nis"
2. Wait for the positive-time-to-live time to pass
3. Attempt to login to a RHEL WS 4 system using your new NIS password

Actual Results:  The Linux system running nscd will never recognize the new NIS password without manually invalidating nscd's passwd cache or simply restarting nscd.

Expected Results:  After the positive-time-to-live time has passed, the Linux system's nscd should automatically pick up and use the new NIS password.

Additional info:
Comment 1 Jakub Jelinek 2006-01-17 16:32:03 EST
If you are really using nscd-2.3.4-2 and not nscd-2.3.4-2.13
(RHEL4 U2 errata, https://rhn.redhat.com/errata/RHBA-2005-678.html),
then it is probably a dup of #164812.
Please update your system and retry.
Comment 2 John Saalwaechter 2006-01-20 09:54:11 EST
Yep, that was it. I upgraded to "Red Hat Enterprise Linux WS release 4 (Nahant 
Update 2)" with nscd-2.3.4-2.13.  Now I can change my NIS password and the RH 
workstation's nscd is sensing the change within 10 minutes.

Sorry about not finding #164812 in searching bugzilla before submitting.
Comment 3 Eric Hagberg 2006-01-30 15:43:47 EST
I still see this when using the RHEL4 U3 beta glibc: glibc-2.3.4-2.18.

Note You need to log in before you can comment on or make changes to this bug.